
[spec]

; Format and options of this spec file:
options = "+spec2"

[info]

artists = "
    Tatu Rissanen <tatu.rissanen@hut.fi>
    Jeff Mallatt <jjm@codewell.com> (miscellaneous)
    Franz Mach <franzmach@yahoo.de> (Modifications for using with the ft-Tiles)
"

[file]
gfx = "ft/tiles"

[grid_main]

x_top_left = 1
y_top_left = 39
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"
; Unit activity letters:  (note unit icons have just "u.")

  1,  8, "unit.auto_attack",
         "unit.auto_settler"
  2,  9, "unit.stack"
  2,  3, "unit.connect"
  1,  9, "unit.auto_explore"

  0,  3, "unit.transform"
  0,  4, "unit.sentry"
  0,  5, "unit.goto"
  0,  6, "unit.mine"
  0,  7, "unit.pollution"
  0,  8, "unit.road"
  0,  9, "unit.irrigate"

  1,  3, "unit.fortifying", "unit.fortress"
  1,  4, "unit.airbase"
  1,  5, "unit.pillage"
; "unit.fortified" in cities.spec
  1,  6, "unit.fallout"
  1,  7, "unit.patrol"

; Unit hit-point bars: approx percent of hp remaining
; -> in "chiefs.spec"
; 16,  0, "unit.hp_100"
; 16,  1, "unit.hp_90"
; 16,  2, "unit.hp_80"
; 16,  3, "unit.hp_70"
; 16,  4, "unit.hp_60"
; 16,  5, "unit.hp_50"
; 16,  6, "unit.hp_40"
; 16,  7, "unit.hp_30"
; 16,  8, "unit.hp_20"
; 16,  9, "unit.hp_10"
; 16, 10, "unit.hp_0"

; Numbers: city size:

  3,  0, "city.size_0"
  3,  1, "city.size_1"
  3,  2, "city.size_2"
  3,  3, "city.size_3"
  3,  4, "city.size_4"
  3,  5, "city.size_5"
  3,  6, "city.size_6"
  3,  7, "city.size_7"
  3,  8, "city.size_8"
  3,  9, "city.size_9"
  4,  1, "city.size_10"
  4,  2, "city.size_20"
  4,  3, "city.size_30"
  4,  4, "city.size_40"
  4,  5, "city.size_50"
  4,  6, "city.size_60"
  4,  7, "city.size_70"
  4,  8, "city.size_80"
  4,  9, "city.size_90"

; Numbers: city tile food/shields/trade y/g/b

  5,  0, "city.t_food_0"
  5,  1, "city.t_food_1"
  5,  2, "city.t_food_2"
  5,  3, "city.t_food_3"
  5,  4, "city.t_food_4"
  5,  5, "city.t_food_5"
  5,  6, "city.t_food_6"
  5,  7, "city.t_food_7"
  5,  8, "city.t_food_8"
  5,  9, "city.t_food_9"

  5,  0, "city.t_shields_0"
  6,  0, "city.t_shields_1"
  6,  1, "city.t_shields_2"
  6,  2, "city.t_shields_3"
  6,  3, "city.t_shields_4"
  6,  4, "city.t_shields_5"
  6,  5, "city.t_shields_6"
  6,  6, "city.t_shields_7"
  6,  7, "city.t_shields_8"
  6,  8, "city.t_shields_9"

  5,  0, "city.t_trade_0"
  7,  0, "city.t_trade_1"
  7,  1, "city.t_trade_2"
  7,  2, "city.t_trade_3"
  7,  3, "city.t_trade_4"
  7,  4, "city.t_trade_5"
  7,  5, "city.t_trade_6"
  7,  6, "city.t_trade_7"
  7,  7, "city.t_trade_8"
  7,  8, "city.t_trade_9"

; Unit upkeep in city dialog:
; These should probably be handled differently and have
; a different size...

  2,  4, "upkeep.food"
  2,  5, "upkeep.food2"
  2,  6, "upkeep.unhappy"
  2,  7, "upkeep.unhappy2"
  2,  8, "upkeep.shield"

; Nuclear explosion: this could maybe now be handled as one 
; big graphic (?), but for now is done old way as 3 by 3:

  0, 0, "explode.nuke_00"
  0, 1, "explode.nuke_01"
  0, 2, "explode.nuke_02"
  1, 0, "explode.nuke_10"
  1, 1, "explode.nuke_11"
  1, 2, "explode.nuke_12"
  2, 0, "explode.nuke_20"
  2, 1, "explode.nuke_21"
  2, 2, "explode.nuke_22"

}

[grid_nuke]
x_top_left = 1
y_top_left = 39
dx = 192
dy = 144

tiles = { "row", "column", "tag"
0, 0, "explode.iso_nuke"
}






